<template>
  <div>
    <el-dialog
      append-to-body="true"
      width="500px"
      :title="title"
      :visible.sync="open"
    >
      <el-form :rules="rules" ref="form" :model="form" label-width="80px">
        <el-form-item prop="patid" label=" 自增ID ">
          <el-input placeholder="请输入 自增ID " v-model="form.patid" />
        </el-form-item>
        <el-form-item prop="name" label=" 姓名 ">
          <el-input placeholder="请输入 姓名 " v-model="form.name" />
        </el-form-item>
        <el-form-item prop="sex" label=" 性别   1:男  2:女">
          <el-input placeholder="请输入 性别   1:男  2:女" v-model="form.sex" />
        </el-form-item>
        <el-form-item prop="idno" label=" 证件号码 ">
          <el-input placeholder="请输入 证件号码 " v-model="form.idno" />
        </el-form-item>
        <el-form-item prop="birthdate" label=" 生日 ">
          <el-input placeholder="请输入 生日 " v-model="form.birthdate" />
        </el-form-item>
        <el-form-item prop="age" label=" 年龄 ">
          <el-input placeholder="请输入 年龄 " v-model="form.age" />
        </el-form-item>
        <el-form-item prop="source" label=" 来源 ">
          <el-input placeholder="请输入 来源 " v-model="form.source" />
        </el-form-item>
        <el-form-item prop="archivetime" label=" 建档时间 ">
          <el-input placeholder="请输入 建档时间 " v-model="form.archivetime" />
        </el-form-item>
        <el-form-item prop="archiveby" label=" 建档人 ">
          <el-input placeholder="请输入 建档人 " v-model="form.archiveby" />
        </el-form-item>
        <el-form-item prop="telcode" label=" 手机号码 ">
          <el-input placeholder="请输入 手机号码 " v-model="form.telcode" />
        </el-form-item>
        <el-form-item prop="relativetelcode" label=" 亲属号码 ">
          <el-input
            placeholder="请输入 亲属号码 "
            v-model="form.relativetelcode"
          />
        </el-form-item>
        <el-form-item prop="idtype" label=" 证件类型 ">
          <el-input placeholder="请输入 证件类型 " v-model="form.idtype" />
        </el-form-item>
        <el-form-item prop="orgid" label=" 机构ID ">
          <el-input placeholder="请输入 机构ID " v-model="form.orgid" />
        </el-form-item>
        <el-form-item prop="openid" label=" 微信openid ">
          <el-input placeholder="请输入 微信openid " v-model="form.openid" />
        </el-form-item>
        <el-form-item prop="del_flag" label=" 删除标记 ">
          <el-input placeholder="请输入 删除标记 " v-model="form.del_flag" />
        </el-form-item>
        <el-form-item prop="update_by" label=" 更新人 ">
          <el-input placeholder="请输入 更新人 " v-model="form.update_by" />
        </el-form-item>
        <el-form-item prop="update_time" label=" 更新时间 ">
          <el-input placeholder="请输入 更新时间 " v-model="form.update_time" />
        </el-form-item>
        <el-form-item prop="create_by" label=" 创建人 ">
          <el-input placeholder="请输入 创建人 " v-model="form.create_by" />
        </el-form-item>
        <el-form-item prop="create_time" label=" 创建时间 ">
          <el-input placeholder="请输入 创建时间 " v-model="form.create_time" />
        </el-form-item>
        <el-form-item prop="isupload" label=" 上传标记 ">
          <el-input placeholder="请输入 上传标记 " v-model="form.isupload" />
        </el-form-item>
        <el-form-item prop="upload_time" label=" 上传时间 ">
          <el-input placeholder="请输入 上传时间 " v-model="form.upload_time" />
        </el-form-item>
        <el-form-item prop="pid" label="父ID">
          <el-input placeholder="请输入父ID" v-model="form.pid" />
        </el-form-item>
        <el-form-item prop="guid" label="GUID">
          <el-input placeholder="请输入GUID" v-model="form.guid" />
        </el-form-item>
      </el-form>
      <div slot="footer" class="dialog-footer">
        <el-button type="primary" @click="submitForm">确 定</el-button>
        <el-button @click="cancel">取 消</el-button>
      </div>
    </el-dialog>
  </div>
</template>
<script>
import {
  listpat_archive,
  getpat_archive,
  delpat_archive,
  addpat_archive,
  updatepat_archive,
} from "@/api/smartor3/pat_archive";
export default {
  name: "dw_maint_pat_archive",
  dicts: ["sys_user_sex", "sys_patientfrom"],
  data() {
    return {
      parent: null,
      title: "",
      // 是否显示弹出层
      open: false,
      // 查询参数
      // 表单参数
      form: {},
      // 表单校验
      rules: {},
    };
  },
  created() {},
  methods: {
    showdlg(show, val) {
      if (val != "") {
        const id = val;
        getpat_archive(id).then((response) => {
          this.form = response.data;
          this.open = val;
          this.title = "患者档案";
        });
      } else {
        this.form = {};
        this.open = show;
        this.title = "新建患者档案";
      }
    },
  },
};
</script>
